Redmine - Defect #6060

restricted user can access projects list and issue contents
2010-08-06 17:01 - Mario Scondo

Status: Closed Start date: 2010-08-06
Priority: High Due date:

Assignee: % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 0.9.6

Description
Hello,

| did add a new user with the permission to access the files section of a single project. When the performig a login with this new user
| did experience the following problems:

the user gets an error message after logging in

the list of projects is accessible

when entering project via the project list all issues are accessable (of every project).

when entering projects, where access has been granted, the checking for permissions seems to work properly. However, | did
grant access to the files section, but the sections 'Activity' and 'News' are available, too.

| do set the priority to 'high' because of the possibility to access data within non-public projects.

History

#1 - 2010-08-06 17:28 - Mario Scondo

The assigned role has the following property enabled (The rest is disabled):
® Files > View Files

It seams, that the 'restricted' account has access to contents of 'public' projects. But the assigned role contains 'lssue tracking > View Issues' ==
False.

#2 - 2010-08-06 17:56 - Felix Schéfer
- Status changed from New to Closed
- Resolution set to Invalid
Mario Scondo wrote:
It seams, that the 'restricted' account has access to contents of 'public' projects. But the assigned role contains 'Issue tracking > View Issues' ==

False.

All logged in users also have "non member" (logged in but not member of the project) and "anonymous" (not logged in) permissions on public
projects. | think you should read up on the permissions system in redmine, as your confusion seems to stem from there.

#3 - 2011-10-25 12:54 - Fredrick Spinks
SPAM
